<ng-container *ngIf="loading; else elseTemplate">
    <div class="loading">
        <mat-spinner diameter="35"></mat-spinner>
    </div>
</ng-container>
<ng-template #elseTemplate>
    <div class="mailList" *ngFor="let mail of mails">
        <ng-container *ngIf="mail.status === 'SENT'; else elseTemplate">
            <div class="date" [title]="mail.send_date | fullDate">
                {{mail.send_date | timeAgo}}
            </div>
        </ng-container>
        <ng-template #elseTemplate>
            <div *ngIf="mail.status === 'ERROR'" class="error" [title]="mail.send_date | fullDate">
                {{lang.sendError}}
            </div>
        </ng-template>

        <div class="info" [class.arType]="mail.type === 'aknowledgement_receipt'" [innerHTML]="mail.object | shorten: 110: '...'">    
        </div>

        <div class="date">
            {{mail.userInfo}}
        </div>
    </div>
    <button mat-button *ngIf="mails.length === 3" class="showMore" (click)="showMore()">{{lang.showMore}}</button>
    <div class="noData" *ngIf="mails.length === 0">
        {{lang.noSendmail}}
    </div>
</ng-template>